#!/bin/bash

source devel.bash

builddir="${0%/*}/$GSDLOS"
if [ ! -d "${builddir}" ]
then
    echo "Creating platform-specific build directory: ${builddir}"
    mkdir -p "${builddir}"
fi


for d in packages src ; do
  echo "Running $d/CASCADE-MAKE.sh"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done

if [ $makedist = "1" ] ; then
  default_toplevel_make_dist $GSDLOS
fi
